搜索账户活动
curl --request GET \
--url https://api.qbank.cl/platform/v1/me/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qbank.cl/platform/v1/me/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qbank.cl/platform/v1/me/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/me/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/me/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.qbank.cl/platform/v1/me/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/me/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"query": "ana",
"matches": [
{
"type": "transfer",
"matched_by": "id",
"id": "8f1e2d3c-4b5a-4f6e-8d9c-0a1b2c3d4e5f",
"account_id": "acct_01",
"status": "completed",
"created_at": "2026-10-25T18:10:00Z",
"detail": {
"to_account_id": "acct_02",
"asset": "USDT"
}
},
{
"type": "payout",
"matched_by": "amount",
"id": "payout_01",
"account_id": "acct_01",
"status": "pending",
"created_at": "2026-10-25T18:11:00Z",
"detail": {
"amount": "1234.56",
"currency": "USD"
},
"matched_value": "1234.56"
},
{
"type": "contact",
"matched_by": "email",
"id": "contact_01",
"account_id": "acct_01",
"created_at": "2026-10-25T18:12:00Z",
"detail": {
"display_name": "Ana Pérez",
"phone_or_email": "ana@example.com"
},
"matched_value": "ana@example.com"
},
{
"type": "payin",
"matched_by": "reference_partial",
"id": "payin_01",
"account_id": "acct_01",
"status": "completed",
"created_at": "2026-10-25T18:13:00Z",
"detail": {
"country": "CL",
"method": "bank_transfer"
},
"matched_value": "CB7K2M"
},
{
"type": "crypto_withdrawal",
"matched_by": "tx_hash",
"id": "withdrawal_01",
"account_id": "acct_01",
"status": "completed",
"created_at": "2026-10-25T18:14:00Z",
"detail": {
"chain": "ethereum",
"asset": "USDT"
},
"matched_value": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
}
]
}搜索账户活动
在已认证账户内搜索操作、账本分录和已保存联系人。绝不会返回账户记录或其他账户的数据。查询会去除首尾空格,长度必须为 2–128 个字符,每个账户每分钟最多 60 次请求。
GET
/
v1
/
me
/
search
搜索账户活动
curl --request GET \
--url https://api.qbank.cl/platform/v1/me/search \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.qbank.cl/platform/v1/me/search"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.qbank.cl/platform/v1/me/search', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.qbank.cl/platform/v1/me/search",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "GET",
CURLOPT_HTTPHEADER => [
"Authorization: Bearer <token>"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.qbank.cl/platform/v1/me/search"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.get("https://api.qbank.cl/platform/v1/me/search")
.header("Authorization", "Bearer <token>")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.qbank.cl/platform/v1/me/search")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Get.new(url)
request["Authorization"] = 'Bearer <token>'
response = http.request(request)
puts response.read_body{
"query": "ana",
"matches": [
{
"type": "transfer",
"matched_by": "id",
"id": "8f1e2d3c-4b5a-4f6e-8d9c-0a1b2c3d4e5f",
"account_id": "acct_01",
"status": "completed",
"created_at": "2026-10-25T18:10:00Z",
"detail": {
"to_account_id": "acct_02",
"asset": "USDT"
}
},
{
"type": "payout",
"matched_by": "amount",
"id": "payout_01",
"account_id": "acct_01",
"status": "pending",
"created_at": "2026-10-25T18:11:00Z",
"detail": {
"amount": "1234.56",
"currency": "USD"
},
"matched_value": "1234.56"
},
{
"type": "contact",
"matched_by": "email",
"id": "contact_01",
"account_id": "acct_01",
"created_at": "2026-10-25T18:12:00Z",
"detail": {
"display_name": "Ana Pérez",
"phone_or_email": "ana@example.com"
},
"matched_value": "ana@example.com"
},
{
"type": "payin",
"matched_by": "reference_partial",
"id": "payin_01",
"account_id": "acct_01",
"status": "completed",
"created_at": "2026-10-25T18:13:00Z",
"detail": {
"country": "CL",
"method": "bank_transfer"
},
"matched_value": "CB7K2M"
},
{
"type": "crypto_withdrawal",
"matched_by": "tx_hash",
"id": "withdrawal_01",
"account_id": "acct_01",
"status": "completed",
"created_at": "2026-10-25T18:14:00Z",
"detail": {
"chain": "ethereum",
"asset": "USDT"
},
"matched_value": "0xaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaaa"
}
]
}授权
会话 JWT(来自注册/登录)或 API key(pk_...)。
也接受 X-API-Key: <token> 作为替代请求头。
查询参数
搜索文本、精确操作 ID、金额、姓名/电子邮件、部分参考号、交易哈希或幂等键。 金额搜索匹配存储的精确数值:法币 local_amount 以小数存储,而 USDT/USDC/BTC 的 NUMERIC(38,0) 列使用最小单位/基础单位。
Required string length:
2 - 128